summaryrefslogtreecommitdiffstats
path: root/remote/rootfs/rootfs-stage32
diff options
context:
space:
mode:
authorSimon Rettberg2014-02-24 15:55:56 +0100
committerSimon Rettberg2014-02-24 15:55:56 +0100
commitcf2c7ab198aaf983e07c456bb90ef87e2a8ec352 (patch)
treeac3b65c55c439bd6a25e3faf544650a4c23e0b47 /remote/rootfs/rootfs-stage32
parent[rfs-stage32] setup_partitons: Remove sleep 3 hack when waiting for partitions (diff)
downloadtm-scripts-cf2c7ab198aaf983e07c456bb90ef87e2a8ec352.tar.gz
tm-scripts-cf2c7ab198aaf983e07c456bb90ef87e2a8ec352.tar.xz
tm-scripts-cf2c7ab198aaf983e07c456bb90ef87e2a8ec352.zip
[rfs-stage32] setup-slx-addons: Fix slxlog call when aufs fails, add -o ro to sqfs mount
Diffstat (limited to 'remote/rootfs/rootfs-stage32')
-rwxr-xr-xremote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_slx_addons6
1 files changed, 3 insertions, 3 deletions
diff --git a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_slx_addons b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_slx_addons
index 9b07acbd..e4ecf9e7 100755
--- a/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_slx_addons
+++ b/remote/rootfs/rootfs-stage32/data/opt/openslx/scripts/systemd-setup_slx_addons
@@ -66,13 +66,13 @@ if [ $# -eq 1 ]; then
# now mount it to $BASE_MOUNT_POINT/<addon-name>
ADDON_MOUNT_POINT="${BASE_MOUNT_POINT}/$(basename "$ADDON")"
mkdir -p "$ADDON_MOUNT_POINT"
- mount -t squashfs "$ADDON_TARGET_PATH" "$ADDON_MOUNT_POINT" || \
+ mount -t squashfs -o ro "$ADDON_TARGET_PATH" "$ADDON_MOUNT_POINT" || \
{ slxlog --echo "addon-mount" "Failed to mount $ADDON_TARGET_PATH."; exit 1; }
# now append it to /
echo "Appending ${ADDON_MOUNT_POINT} to /"
- if ! mount -o "remount,ins:2:${ADDON_MOUNT_POINT}=ro" / ; then # ins:2 makes sure the addon is after tmpfs and stage32, but before stage4
- slxlog --echo "Failed to append ${ADDON_MOUNT_POINT} to the aufs. Cleaning up..."
+ if ! mount -o "remount,ins:2:${ADDON_MOUNT_POINT}=rr" / ; then # ins:2 makes sure the addon is after tmpfs and stage32, but before stage4
+ slxlog --echo "addon-aufs" "Failed to append ${ADDON_MOUNT_POINT} to the aufs. Cleaning up..."
umount -l ${ADDON_MOUNT_POINT} || echo "Could not unmount ${ADDON_MOUNT_POINT}!"
exit 1
fi